Package org.apache.catalina

## Enum WebResourceRoot.ArchiveIndexStrategy

- java.lang.Object
- - java.lang.Enum<WebResourceRoot.ArchiveIndexStrategy>
  - - org.apache.catalina.WebResourceRoot.ArchiveIndexStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<WebResourceRoot.ArchiveIndexStrategy>`

Enclosing interface:
  WebResourceRoot

    public static enum WebResourceRoot.ArchiveIndexStrategy
    extends Enum<WebResourceRoot.ArchiveIndexStrategy>

### Enum Constant Summary

Enum Constants
`BLOOM`
`PURGED`
`SIMPLE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `getRetain()`
`boolean` `getUsesBloom()`
`static WebResourceRoot.ArchiveIndexStrategy` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static WebResourceRoot.ArchiveIndexStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SIMPLE

    public static final WebResourceRoot.ArchiveIndexStrategy SIMPLE

#### BLOOM

    public static final WebResourceRoot.ArchiveIndexStrategy BLOOM

#### PURGED

    public static final WebResourceRoot.ArchiveIndexStrategy PURGED

### Method Detail

#### values

    public static WebResourceRoot.ArchiveIndexStrategy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WebResourceRoot.ArchiveIndexStrategy c : WebResourceRoot.ArchiveIndexStrategy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WebResourceRoot.ArchiveIndexStrategy valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getUsesBloom

    public boolean getUsesBloom()

#### getRetain

    public boolean getRetain()